Bug 1013517 - [abrt] pulseaudio-3.0-10.fc19: pa_source_output_set_volume: Process /usr/bin/pulseaudio was killed by signal 6 (SIGABRT)
[abrt] pulseaudio-3.0-10.fc19: pa_source_output_set_volume: Process /usr/bin/...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
abrt_hash:1af732af2c455a74cb3db6a7154...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-30 05:14 EDT by Oron Peled
Modified: 2015-02-17 12:25 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:25:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (36.04 KB, text/plain)
2013-09-30 05:15 EDT, Oron Peled
no flags Details
File: cgroup (141 bytes, text/plain)
2013-09-30 05:15 EDT, Oron Peled
no flags Details
File: core_backtrace (5.45 KB, text/plain)
2013-09-30 05:15 EDT, Oron Peled
no flags Details
File: dso_list (5.06 KB, text/plain)
2013-09-30 05:15 EDT, Oron Peled
no flags Details
File: environ (2.08 KB, text/plain)
2013-09-30 05:15 EDT, Oron Peled
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-30 05:15 EDT, Oron Peled
no flags Details
File: maps (42.33 KB, text/plain)
2013-09-30 05:15 EDT, Oron Peled
no flags Details
File: open_fds (2.92 KB, text/plain)
2013-09-30 05:15 EDT, Oron Peled
no flags Details
File: proc_pid_status (941 bytes, text/plain)
2013-09-30 05:15 EDT, Oron Peled
no flags Details
File: var_log_messages (7.00 KB, text/plain)
2013-09-30 05:15 EDT, Oron Peled
no flags Details

  None (edit)
Description Oron Peled 2013-09-30 05:14:58 EDT
Description of problem:
Same scenario (tested 4 times):
  * Started video chat with KTP (via talkr.im, using Jingle)
  * Video was OK -- both ways.
  * Could here other side voice OK.
  * My voice didn't reach other side.
  * Trying to adjust microphone volume via kmix triggered a crash of pulseaudio

Fully up-to-date Fedora-19 (KDE desktop running):
  ktp-accounts-kcm.x86_64                   0.6.3-1.fc19                                                          @updates                    
  ktp-approver.x86_64                            0.6.3-1.fc19                                                          @updates                    
  ktp-auth-handler.x86_64                      0.6.3-1.fc19                                                          @updates                    
  ktp-call-ui.x86_64                                 0.6.3-1.fc19                                                          @updates                    
  ktp-common-internals.x86_64             0.6.3-1.fc19                                                          @updates                      
  ktp-contact-list.x86_64                         0.6.3-1.fc19                                                          @updates                    
  ktp-desktop-applets.x86_64                 0.6.3-1.fc19                                                          @updates                    
  ktp-filetransfer-handler.x86_64             0.6.3-1.fc19                                                          @updates                    
  ktp-kded-integration-module.x86_64   0.6.3-1.fc19                                                          @updates                    
  ktp-send-file.x86_64                             0.6.3-1.fc19                                                          @updates                    
  ktp-text-ui.x86_64                                0.6.3-1.fc19                                                          @updates                    
  pulseaudio.x86_64                               3.0-10.fc19                                                           @koji-override-0/$releasever

Version-Release number of selected component:
pulseaudio-3.0-10.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/bin/pulseaudio --start --log-target=syslog
crash_function: pa_source_output_set_volume
executable:     /usr/bin/pulseaudio
kernel:         3.11.1-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1501

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 pa_source_output_set_volume at pulsecore/source-output.c:939
 #3 command_set_volume at pulsecore/protocol-native.c:3757
 #4 pa_pdispatch_run at pulsecore/pdispatch.c:336
 #5 pstream_packet_callback at pulsecore/protocol-native.c:4777
 #6 do_read at pulsecore/pstream.c:812
 #7 do_something at pulsecore/pstream.c:180
 #8 dispatch_pollfds at pulse/mainloop.c:659
 #9 pa_mainloop_dispatch at pulse/mainloop.c:908
 #10 pa_mainloop_iterate at pulse/mainloop.c:939
 #11 pa_mainloop_run at pulse/mainloop.c:954

Potential duplicate: bug 908138
Comment 1 Oron Peled 2013-09-30 05:15:06 EDT
Created attachment 805014 [details]
File: backtrace
Comment 2 Oron Peled 2013-09-30 05:15:10 EDT
Created attachment 805015 [details]
File: cgroup
Comment 3 Oron Peled 2013-09-30 05:15:15 EDT
Created attachment 805016 [details]
File: core_backtrace
Comment 4 Oron Peled 2013-09-30 05:15:19 EDT
Created attachment 805017 [details]
File: dso_list
Comment 5 Oron Peled 2013-09-30 05:15:22 EDT
Created attachment 805018 [details]
File: environ
Comment 6 Oron Peled 2013-09-30 05:15:25 EDT
Created attachment 805019 [details]
File: limits
Comment 7 Oron Peled 2013-09-30 05:15:29 EDT
Created attachment 805020 [details]
File: maps
Comment 8 Oron Peled 2013-09-30 05:15:35 EDT
Created attachment 805021 [details]
File: open_fds
Comment 9 Oron Peled 2013-09-30 05:15:39 EDT
Created attachment 805022 [details]
File: proc_pid_status
Comment 10 Oron Peled 2013-09-30 05:15:42 EDT
Created attachment 805023 [details]
File: var_log_messages
Comment 11 Fedora End Of Life 2015-01-09 15:02:17 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2015-02-17 12:25:05 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.